searchData={"items":[{"type":"module","title":"AI","doc":"Documentation for `AI`.","ref":"AI.html"},{"type":"function","title":"AI.chat/1","doc":"Parses out OpenAI's chat completion response into a cleaner format.\nReturns {:ok, text_content} or {:error, message}\n\nInstead of:\n{:ok,\n%{\n id: \"chatcmpl-7zSc1rsCXpyALMjM9MkaF077xYRot\",\n usage: %{\n   \"completion_tokens\" => 10,\n   \"prompt_tokens\" => 19,\n   \"total_tokens\" => 29\n },\n created: 1694882349,\n choices: [\n   %{\n     \"finish_reason\" => \"stop\",\n     \"index\" => 0,\n     \"message\" => %{\n       \"content\" => \"Compact and stack snow blocks in a dome shape.\",\n       \"role\" => \"assistant\"\n     }\n   }\n ],\n model: \"gpt-3.5-turbo-0613\",\n object: \"chat.completion\"\n}}","ref":"AI.html#chat/1"},{"type":"function","title":"AI.sigil_LLM/2","doc":"Implements the ~LLM sigil, which parses text into an OpenAI friendly chat completion prompt.\n~LLM works by parsing out the `model`, `system`, `user` and `assistant` keywords.","ref":"AI.html#sigil_LLM/2"},{"type":"function","title":"Examples - AI.sigil_LLM/2","doc":"iex> import Potions\niex> ~LLM\"model: gpt-3.5-turbo system: You are an expert at text to image prompts. Given a description, write a text-to-image prompt. user: sunset\"\n[\n  model: \"gpt-3.5-turbo\",\n  messages: [\n    %{\n      content: \"You are an expert at text to image prompts. Given a description, write a text-to-image prompt.\",\n      role: \"system\"\n    },\n    %{content: \"sunset\", role: \"user\"}\n  ]\n]","ref":"AI.html#sigil_LLM/2-examples"}],"content_type":"text/markdown"}